> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Returns manual entry field definitions for the specified tax session.

GET https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions

> **Access control:** this endpoint is available to users with the `everyone` role.

Returns the field names and data types of all manual entry fields configured for the return
associated with the specified tax session. Use this to discover which fields are available
for the UpdateManualFields API.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax-for-excise/public-reference/get-manual-field-definitions

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `headerId` (integer, required) — The header id of the specified tax session.

### Headers

- `x-company-id` (integer, required) — Company ID that owns the data.
- `X-Avalara-Client` (string, optional, default: Swagger UI; 5.64.21.2340; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see Client Headers.

## Response

### 200

Returns a dictionary of field names to data types.

- `map from string to string`

## Errors

### 400 Bad Request Error

The HeaderId is invalid or not associated with the specified company.

- `any`

### 401 Unauthorized Error

Authentication credentials are incorrect.

- `any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions"

querystring = {"headerId":"1"}

headers = {
    "x-company-id": "1",
    "Authorization": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1';
const options = {method: 'GET', headers: {'x-company-id': '1', Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-company-id", "1")
	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-company-id"] = '1'
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1")
  .header("x-company-id", "1")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1', [
  'headers' => [
    'Authorization' => '<apiKey>',
    'x-company-id' => '1',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1");
var request = new RestRequest(Method.GET);
request.AddHeader("x-company-id", "1");
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-company-id": "1",
  "Authorization": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldDefinitions?headerId=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```